Jetzt online  

/v1/account/

Manages Access to the AppointmentTrader Account
GET

/v1/account/get_incoming_payment_session

#
Returns details of the incoming payment session and information on whether it has been completed or is still pending.

Parameter

NameTypErforderlichStandardBeschreibung
uniquePaymentSessionID string Ja — unique session id returned by /v1/account/set_start_incoming_payment_session
Anfragebeispiel (cURL)
curl --get \
  'https://de.appointmenttrader.com/v1/account/get_incoming_payment_session' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'uniquePaymentSessionID={{uniquePaymentSessionID}}'

Rückgabe

JSON
See the shared response schema and synthetic example.
Antwortfelder
FeldTypErforderlichBeschreibung
$account_get_incoming_payment_session_Response Ja
$.oneOf[0] Ja
$.oneOf[0].allOf[0]object Ja
$.oneOf[0].allOf[0].RequestUserAliasstring Ja
$.oneOf[0].allOf[0].RequestPathstring | null Ja
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" Ja
$.oneOf[0].allOf[0].ResponseCodeinteger Ja
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage Ja
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null Ja
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array Ja
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage Nein
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object Ja
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage Nein
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring Nein
$.oneOf[0].allOf[1]object Ja
$.oneOf[0].allOf[1].Payloadobject Ja
$.oneOf[0].allOf[1].Payload.Namestring Ja
$.oneOf[0].allOf[1].Payload.MetaInformationarray Ja
$.oneOf[0].allOf[1].Payload.MetaInformation[]string Nein
$.oneOf[0].allOf[1].Payload.KeyValueListarray Ja
$.oneOf[0].allOf[1].Payload.KeyValueList[]object Nein
$.oneOf[0].allOf[1].Payload.KeyValueList[].uniquePaymentSessionIDstring Ja
$.oneOf[0].allOf[1].Payload.KeyValueList[].createDatestring Ja
$.oneOf[0].allOf[1].Payload.KeyValueList[].lastUpdateDatestring Ja
$.oneOf[0].allOf[1].Payload.KeyValueList[].expiryDatestring Ja
$.oneOf[0].allOf[1].Payload.KeyValueList[].sessionStatusstring ["active","expired"] Ja
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentTypestring Ja
$.oneOf[0].allOf[1].Payload.KeyValueList[].remainingSessionLifetimeInSecondsDatabaseInteger JaInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].remainingSessionLifetimeInSeconds.oneOf[0]integer Ja
$.oneOf[0].allOf[1].Payload.KeyValueList[].remainingSessionLifetimeInSeconds.oneOf[1]string Ja
$.oneOf[0].allOf[1].Payload.KeyValueList[].userAliasstring Ja
$.oneOf[0].allOf[1].Payload.KeyValueList[].transactionReferenceIDstring Ja
$.oneOf[0].allOf[1].Payload.KeyValueList[].transactionDescriptionstring Ja
$.oneOf[0].allOf[1].Payload.KeyValueList[].grossAmountDatabaseInteger JaInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].grossAmount.oneOf[0]integer Ja
$.oneOf[0].allOf[1].Payload.KeyValueList[].grossAmount.oneOf[1]string Ja
$.oneOf[0].allOf[1].Payload.KeyValueList[].discountedAmountDatabaseInteger JaInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].discountedAmount.oneOf[0]integer Ja
$.oneOf[0].allOf[1].Payload.KeyValueList[].discountedAmount.oneOf[1]string Ja
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails Ja
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0]object Ja
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].DestinationAccountstring Nein
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*PaymentConfigurationValue Nein
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[0]string | number | boolean | null Nein
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[1]array Nein
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[1][]PaymentConfigurationValue Nein
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[2]object Nein
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[2].*PaymentConfigurationValue Nein
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1]array Ja
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][]PaymentConfigurationValue Nein
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[0]string | number | boolean | null Nein
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[1]array Nein
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[1][]PaymentConfigurationValue Nein
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[2]object Nein
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[2].*PaymentConfigurationValue Nein
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[2]string | number | boolean | null Ja
$.oneOf[0].allOf[1].Payload.KeyValueList[].fundingStatusstring ["not_funded","funded"] Ja
$.oneOf[0].allOf[1].Payload.KeyValueFieldListarray Ja
$.oneOf[0].allOf[1].Payload.KeyValueFieldList[]string Nein
$.oneOf[1]object Ja
$.oneOf[1].RequestUserAliasstring Ja
$.oneOf[1].RequestPathstring | null Ja
$.oneOf[1].RequestStatus = "Failed" Ja
$.oneOf[1].ResponseCodeinteger Ja
$.oneOf[1].ResponseMessageAPIResponseMessage Ja
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null Ja
$.oneOf[1].ResponseMessage.oneOf[1]array Ja
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage Nein
$.oneOf[1].ResponseMessage.oneOf[2]object Ja
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage Nein
$.oneOf[1].RequestImpersonatedByUserAliasstring Nein
Antwortbeispiel
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/account/get_incoming_payment_session",
    "RequestUserAlias": "example-user",
    "Payload": {
        "Name": "synthetic-example",
        "MetaInformation": [],
        "KeyValueList": [],
        "KeyValueFieldList": []
    }
}
Maschinenlesbare Endpunktdokumentation
GET

/v1/account/get_ledger

#
Returns paginated ledger entries for one account owned by the acting API user. Admin tools should access another user's ledger through the dispatcher impersonationUserAlias parameter; this endpoint still validates the account against the effective API user.

Parameter

NameTypErforderlichStandardBeschreibung
accountID string Ja — Account ID owned by the acting API user.
pageNumber int Nein 0 Zero-based page number.
pageLength int Nein 50 Number of ledger rows to return, capped at 200.
Anfragebeispiel (cURL)
curl --get \
  'https://de.appointmenttrader.com/v1/account/get_ledger' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'accountID={{accountID}}' \
  --data-urlencode 'pageNumber={{pageNumber}}' \
  --data-urlencode 'pageLength={{pageLength}}'

Rückgabe

JSON
See the shared response schema and synthetic example.
Antwortfelder
FeldTypErforderlichBeschreibung
$account_get_ledger_Response Ja
$.oneOf[0] Ja
$.oneOf[0].allOf[0]object Ja
$.oneOf[0].allOf[0].RequestUserAliasstring Ja
$.oneOf[0].allOf[0].RequestPathstring | null Ja
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" Ja
$.oneOf[0].allOf[0].ResponseCodeinteger Ja
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage Ja
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null Ja
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array Ja
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage Nein
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object Ja
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage Nein
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring Nein
$.oneOf[0].allOf[1]object Ja
$.oneOf[0].allOf[1].Payloadobject Ja
$.oneOf[0].allOf[1].Payload.Accountobject Ja
$.oneOf[0].allOf[1].Payload.Account.Currencystring Ja
$.oneOf[0].allOf[1].Payload.Account.CurrencySymbolstring Ja
$.oneOf[0].allOf[1].Payload.Account.CreatedDatestring Ja
$.oneOf[0].allOf[1].Payload.Account.LastUpdateDatestring Ja
$.oneOf[0].allOf[1].Payload.Account.Namestring Ja
$.oneOf[0].allOf[1].Payload.Account.Descriptionstring Ja
$.oneOf[0].allOf[1].Payload.Account.IDDatabaseInteger JaInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.ID.oneOf[0]integer Ja
$.oneOf[0].allOf[1].Payload.Account.ID.oneOf[1]string Ja
$.oneOf[0].allOf[1].Payload.Account.ATUser_IDDatabaseInteger JaInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.ATUser_ID.oneOf[0]integer Ja
$.oneOf[0].allOf[1].Payload.Account.ATUser_ID.oneOf[1]string Ja
$.oneOf[0].allOf[1].Payload.Account.CurrencyCreditLimitDatabaseInteger JaInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.CurrencyCreditLimit.oneOf[0]integer Ja
$.oneOf[0].allOf[1].Payload.Account.CurrencyCreditLimit.oneOf[1]string Ja
$.oneOf[0].allOf[1].Payload.Account.PayoutDefaultBasisPointsDatabaseInteger JaInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.PayoutDefaultBasisPoints.oneOf[0]integer Ja
$.oneOf[0].allOf[1].Payload.Account.PayoutDefaultBasisPoints.oneOf[1]string Ja
$.oneOf[0].allOf[1].Payload.Account.PointsCreditLimitDatabaseInteger JaInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.PointsCreditLimit.oneOf[0]integer Ja
$.oneOf[0].allOf[1].Payload.Account.PointsCreditLimit.oneOf[1]string Ja
$.oneOf[0].allOf[1].Payload.Account.IsATCorporateAccountDatabaseInteger JaInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.IsATCorporateAccount.oneOf[0]integer Ja
$.oneOf[0].allOf[1].Payload.Account.IsATCorporateAccount.oneOf[1]string Ja
$.oneOf[0].allOf[1].Payload.Account.IsDefaultDatabaseInteger JaInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.IsDefault.oneOf[0]integer Ja
$.oneOf[0].allOf[1].Payload.Account.IsDefault.oneOf[1]string Ja
$.oneOf[0].allOf[1].Payload.Account.IsDepositAccountDatabaseInteger JaInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.IsDepositAccount.oneOf[0]integer Ja
$.oneOf[0].allOf[1].Payload.Account.IsDepositAccount.oneOf[1]string Ja
$.oneOf[0].allOf[1].Payload.Account.CurrencyBalanceDatabaseInteger JaInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.CurrencyBalance.oneOf[0]integer Ja
$.oneOf[0].allOf[1].Payload.Account.CurrencyBalance.oneOf[1]string Ja
$.oneOf[0].allOf[1].Payload.Account.PointsBalanceDatabaseInteger JaInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.PointsBalance.oneOf[0]integer Ja
$.oneOf[0].allOf[1].Payload.Account.PointsBalance.oneOf[1]string Ja
$.oneOf[0].allOf[1].Payload.Ledgerarray Ja
$.oneOf[0].allOf[1].Payload.Ledger[]object Nein
$.oneOf[0].allOf[1].Payload.Ledger[].CreatedDatestring Ja
$.oneOf[0].allOf[1].Payload.Ledger[].LastUpdateDatestring Ja
$.oneOf[0].allOf[1].Payload.Ledger[].Namestring Ja
$.oneOf[0].allOf[1].Payload.Ledger[].Descriptionstring Ja
$.oneOf[0].allOf[1].Payload.Ledger[].ConfirmationObjectstring JaStored provider/audit content is returned as text; it is not decoded into a JSON object by this endpoint.
$.oneOf[0].allOf[1].Payload.Ledger[].IDDatabaseInteger JaInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].ID.oneOf[0]integer Ja
$.oneOf[0].allOf[1].Payload.Ledger[].ID.oneOf[1]string Ja
$.oneOf[0].allOf[1].Payload.Ledger[].CurrencyAmountDatabaseInteger JaInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].CurrencyAmount.oneOf[0]integer Ja
$.oneOf[0].allOf[1].Payload.Ledger[].CurrencyAmount.oneOf[1]string Ja
$.oneOf[0].allOf[1].Payload.Ledger[].PointsAmountDatabaseInteger JaInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].PointsAmount.oneOf[0]integer Ja
$.oneOf[0].allOf[1].Payload.Ledger[].PointsAmount.oneOf[1]string Ja
$.oneOf[0].allOf[1].Payload.Ledger[].CurrencyBalanceDatabaseInteger JaInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].CurrencyBalance.oneOf[0]integer Ja
$.oneOf[0].allOf[1].Payload.Ledger[].CurrencyBalance.oneOf[1]string Ja
$.oneOf[0].allOf[1].Payload.Ledger[].PointsBalanceDatabaseInteger JaInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].PointsBalance.oneOf[0]integer Ja
$.oneOf[0].allOf[1].Payload.Ledger[].PointsBalance.oneOf[1]string Ja
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccountsLedger_ID Ja
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccountsLedger_ID.anyOf[0]DatabaseInteger JaInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccountsLedger_ID.anyOf[0].oneOf[0]integer Ja
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccountsLedger_ID.anyOf[0].oneOf[1]string Ja
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccountsLedger_ID.anyOf[1]null Ja
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccounts_ID Ja
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccounts_ID.anyOf[0]DatabaseInteger JaInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccounts_ID.anyOf[0].oneOf[0]integer Ja
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccounts_ID.anyOf[0].oneOf[1]string Ja
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccounts_ID.anyOf[1]null Ja
$.oneOf[0].allOf[1].Payload.Ledger[].Destination-ATAccounts_ID Ja
$.oneOf[0].allOf[1].Payload.Ledger[].Destination-ATAccounts_ID.anyOf[0]DatabaseInteger JaInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].Destination-ATAccounts_ID.anyOf[0].oneOf[0]integer Ja
$.oneOf[0].allOf[1].Payload.Ledger[].Destination-ATAccounts_ID.anyOf[0].oneOf[1]string Ja
$.oneOf[0].allOf[1].Payload.Ledger[].Destination-ATAccounts_ID.anyOf[1]null Ja
$.oneOf[0].allOf[1].Payload.Ledger[].ATUserPaymentMethods_ID Ja
$.oneOf[0].allOf[1].Payload.Ledger[].ATUserPaymentMethods_ID.anyOf[0]DatabaseInteger JaInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].ATUserPaymentMethods_ID.anyOf[0].oneOf[0]integer Ja
$.oneOf[0].allOf[1].Payload.Ledger[].ATUserPaymentMethods_ID.anyOf[0].oneOf[1]string Ja
$.oneOf[0].allOf[1].Payload.Ledger[].ATUserPaymentMethods_ID.anyOf[1]null Ja
$.oneOf[0].allOf[1].Payload.Ledger[].ConfirmationID Ja
$.oneOf[0].allOf[1].Payload.Ledger[].ConfirmationID.anyOf[0]string Ja
$.oneOf[0].allOf[1].Payload.Ledger[].ConfirmationID.anyOf[1]null Ja
$.oneOf[0].allOf[1].Payload.Ledger[].SupplementalURL Ja
$.oneOf[0].allOf[1].Payload.Ledger[].SupplementalURL.anyOf[0]string Ja
$.oneOf[0].allOf[1].Payload.Ledger[].SupplementalURL.anyOf[1]null Ja
$.oneOf[0].allOf[1].Payload.Ledger[].Stripe-RefundObject JaStored provider/audit content is returned as text; it is not decoded into a JSON object by this endpoint.
$.oneOf[0].allOf[1].Payload.Ledger[].Stripe-RefundObject.anyOf[0]string Ja
$.oneOf[0].allOf[1].Payload.Ledger[].Stripe-RefundObject.anyOf[1]null Ja
$.oneOf[0].allOf[1].Payload.Ledger[].Stripe-DisputeObject JaStored provider/audit content is returned as text; it is not decoded into a JSON object by this endpoint.
$.oneOf[0].allOf[1].Payload.Ledger[].Stripe-DisputeObject.anyOf[0]string Ja
$.oneOf[0].allOf[1].Payload.Ledger[].Stripe-DisputeObject.anyOf[1]null Ja
$.oneOf[0].allOf[1].Payload.Ledger[].Checkout-RefundObject JaStored provider/audit content is returned as text; it is not decoded into a JSON object by this endpoint.
$.oneOf[0].allOf[1].Payload.Ledger[].Checkout-RefundObject.anyOf[0]string Ja
$.oneOf[0].allOf[1].Payload.Ledger[].Checkout-RefundObject.anyOf[1]null Ja
$.oneOf[0].allOf[1].Payload.Ledger[].Checkout-DisputeObject JaStored provider/audit content is returned as text; it is not decoded into a JSON object by this endpoint.
$.oneOf[0].allOf[1].Payload.Ledger[].Checkout-DisputeObject.anyOf[0]string Ja
$.oneOf[0].allOf[1].Payload.Ledger[].Checkout-DisputeObject.anyOf[1]null Ja
$.oneOf[0].allOf[1].Payload.Ledger[].RefundInstruction JaStored provider/audit content is returned as text; it is not decoded into a JSON object by this endpoint.
$.oneOf[0].allOf[1].Payload.Ledger[].RefundInstruction.anyOf[0]string Ja
$.oneOf[0].allOf[1].Payload.Ledger[].RefundInstruction.anyOf[1]null Ja
$.oneOf[0].allOf[1].Payload.Ledger[].TransactionTypestring ["DEBIT","CREDIT"] Ja
$.oneOf[0].allOf[1].Payload.Pageobject Ja
$.oneOf[0].allOf[1].Payload.Page.PageNumberinteger Ja
$.oneOf[0].allOf[1].Payload.Page.PageLengthinteger Ja
$.oneOf[0].allOf[1].Payload.Page.NextPageNumber Ja
$.oneOf[0].allOf[1].Payload.Page.NextPageNumber.anyOf[0]integer Ja
$.oneOf[0].allOf[1].Payload.Page.NextPageNumber.anyOf[1]null Ja
$.oneOf[0].allOf[1].Payload.Page.PreviousPageNumber Ja
$.oneOf[0].allOf[1].Payload.Page.PreviousPageNumber.anyOf[0]integer Ja
$.oneOf[0].allOf[1].Payload.Page.PreviousPageNumber.anyOf[1]null Ja
$.oneOf[0].allOf[1].Payload.Page.HasMoreboolean Ja
$.oneOf[1]object Ja
$.oneOf[1].RequestUserAliasstring Ja
$.oneOf[1].RequestPathstring | null Ja
$.oneOf[1].RequestStatus = "Failed" Ja
$.oneOf[1].ResponseCodeinteger Ja
$.oneOf[1].ResponseMessageAPIResponseMessage Ja
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null Ja
$.oneOf[1].ResponseMessage.oneOf[1]array Ja
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage Nein
$.oneOf[1].ResponseMessage.oneOf[2]object Ja
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage Nein
$.oneOf[1].RequestImpersonatedByUserAliasstring Nein
Antwortbeispiel
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/account/get_ledger",
    "RequestUserAlias": "example-user",
    "Payload": {
        "Account": {
            "Currency": "synthetic-example",
            "CurrencySymbol": "synthetic-example",
            "CreatedDate": "synthetic-example",
            "LastUpdateDate": "synthetic-example",
            "Name": "synthetic-example",
            "Description": "synthetic-example",
            "ID": 0,
            "ATUser_ID": 0,
            "CurrencyCreditLimit": 0,
            "PayoutDefaultBasisPoints": 0,
            "PointsCreditLimit": 0,
            "IsATCorporateAccount": 0,
            "IsDefault": 0,
            "IsDepositAccount": 0,
            "CurrencyBalance": 0,
            "PointsBalance": 0
        },
        "Ledger": [],
        "Page": {
            "PageNumber": 0,
            "PageLength": 0,
            "NextPageNumber": 0,
            "PreviousPageNumber": 0,
            "HasMore": false
        }
    }
}
Maschinenlesbare Endpunktdokumentation
GET

/v1/account/get_list

#
Returns all available user accounts including their balances and if applicable credit limits in the smallest possible currency unit

Parameter

NameTypErforderlichStandardBeschreibung
searchFilter string Nein "" filter criteria
includeDepositAccount bool Nein false defines if deposit account should be return
pageSize int Nein 50 Defines how many results will be return per request
pageNumber int Nein 0 Defines which page should be returned
includeCorporateAccounts bool Nein false Admin-only flag to include corporate accounts owned by the inspected user.
includeHiddenAccounts bool Nein false Admin-only flag to include hidden accounts owned by the inspected user.
Anfragebeispiel (cURL)
curl --get \
  'https://de.appointmenttrader.com/v1/account/get_list' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'searchFilter={{searchFilter}}' \
  --data-urlencode 'includeDepositAccount={{includeDepositAccount}}' \
  --data-urlencode 'pageSize={{pageSize}}' \
  --data-urlencode 'pageNumber={{pageNumber}}' \
  --data-urlencode 'includeCorporateAccounts={{includeCorporateAccounts}}' \
  --data-urlencode 'includeHiddenAccounts={{includeHiddenAccounts}}'

Rückgabe

JSON
See the shared response schema and synthetic example.
Antwortfelder
FeldTypErforderlichBeschreibung
$account_get_list_Response Ja
$.oneOf[0] Ja
$.oneOf[0].allOf[0]object Ja
$.oneOf[0].allOf[0].RequestUserAliasstring Ja
$.oneOf[0].allOf[0].RequestPathstring | null Ja
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" Ja
$.oneOf[0].allOf[0].ResponseCodeinteger Ja
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage Ja
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null Ja
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array Ja
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage Nein
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object Ja
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage Nein
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring Nein
$.oneOf[0].allOf[1]object Ja
$.oneOf[0].allOf[1].Payloadobject Ja
$.oneOf[0].allOf[1].Payload.ATResponseObjectType = "NestedKeyValueList" Ja
$.oneOf[0].allOf[1].Payload.ResponseBodyobject Ja
$.oneOf[0].allOf[1].Payload.ResponseBody.Namestring Ja
$.oneOf[0].allOf[1].Payload.ResponseBody.MetaInformationarray Ja
$.oneOf[0].allOf[1].Payload.ResponseBody.MetaInformation[]string Nein
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueListarray Ja
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[]object Nein
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountNamestring Ja
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountDescriptionstring Ja
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencystring Ja
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencySymbolstring Ja
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountNameAndBalancestring Ja
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountIDDatabaseInteger JaInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountID.oneOf[0]integer Ja
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountID.oneOf[1]string Ja
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencyBalanceDatabaseInteger JaInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencyBalance.oneOf[0]integer Ja
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencyBalance.oneOf[1]string Ja
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountPointsBalanceDatabaseInteger JaInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountPointsBalance.oneOf[0]integer Ja
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountPointsBalance.oneOf[1]string Ja
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencyCreditLimitDatabaseInteger JaInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencyCreditLimit.oneOf[0]integer Ja
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencyCreditLimit.oneOf[1]string Ja
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountPointsCreditLimitDatabaseInteger JaInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountPointsCreditLimit.oneOf[0]integer Ja
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountPointsCreditLimit.oneOf[1]string Ja
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountIsCorporateDatabaseInteger JaInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountIsCorporate.oneOf[0]integer Ja
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountIsCorporate.oneOf[1]string Ja
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountAvailableCurrencyBalancenumber Ja
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountAvailablePointsBalancenumber Ja
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueFieldListarray Ja
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueFieldList[]string Nein
$.oneOf[1]object Ja
$.oneOf[1].RequestUserAliasstring Ja
$.oneOf[1].RequestPathstring | null Ja
$.oneOf[1].RequestStatus = "Failed" Ja
$.oneOf[1].ResponseCodeinteger Ja
$.oneOf[1].ResponseMessageAPIResponseMessage Ja
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null Ja
$.oneOf[1].ResponseMessage.oneOf[1]array Ja
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage Nein
$.oneOf[1].ResponseMessage.oneOf[2]object Ja
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage Nein
$.oneOf[1].RequestImpersonatedByUserAliasstring Nein
Antwortbeispiel
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/account/get_list",
    "RequestUserAlias": "example-user",
    "Payload": {
        "ATResponseObjectType": "NestedKeyValueList",
        "ResponseBody": {
            "Name": "synthetic-example",
            "MetaInformation": [],
            "KeyValueList": [],
            "KeyValueFieldList": []
        }
    }
}
Maschinenlesbare Endpunktdokumentation
POST

/v1/account/set_start_incoming_payment_session

#
Creates an incoming payments session which will be credited to API users main account. The gross amount will be discounted, and the discounted expected payment will be returned

Parameter

NameTypErforderlichStandardBeschreibung
paymentType string Ja — Type of payment used
grossAmount int Ja — Amount that shall be received by the transaction
transactionReferenceID string Ja — this reference number can be used to avoid creating new payments sessions for the same checkout flow, if an active payments session for this transactionReferenceID exists the ExpiryTime will extended by the payment types sessionLifetime
transactionDescription string Ja — this description will reflect on the users account detailing what the charge was for.
isWritingRequest bool Nein false all set_[...] functions have this parameter - if false (which is default) the method will execute without writing any data. Set this parameter to true once you are sure that you tested your logic and want to execute a writing request
Anfragebeispiel (cURL)
curl --request POST \
  'https://de.appointmenttrader.com/v1/account/set_start_incoming_payment_session' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'paymentType={{paymentType}}' \
  --data-urlencode 'grossAmount={{grossAmount}}' \
  --data-urlencode 'transactionReferenceID={{transactionReferenceID}}' \
  --data-urlencode 'transactionDescription={{transactionDescription}}' \
  --data-urlencode 'isWritingRequest={{isWritingRequest}}'

Rückgabe

JSON
See the shared response schema and synthetic example.
Antwortfelder
FeldTypErforderlichBeschreibung
$account_set_start_incoming_payment_session_Response Ja
$.oneOf[0] Ja
$.oneOf[0].allOf[0]object Ja
$.oneOf[0].allOf[0].RequestUserAliasstring Ja
$.oneOf[0].allOf[0].RequestPathstring | null Ja
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" Ja
$.oneOf[0].allOf[0].ResponseCodeinteger Ja
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage Ja
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null Ja
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array Ja
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage Nein
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object Ja
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage Nein
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring Nein
$.oneOf[0].allOf[1]object Ja
$.oneOf[0].allOf[1].Payloadobject Ja
$.oneOf[0].allOf[1].Payload.Namestring Ja
$.oneOf[0].allOf[1].Payload.MetaInformationarray Ja
$.oneOf[0].allOf[1].Payload.MetaInformation[]string Nein
$.oneOf[0].allOf[1].Payload.KeyValueListarray Ja
$.oneOf[0].allOf[1].Payload.KeyValueList[]object Nein
$.oneOf[0].allOf[1].Payload.KeyValueList[].uniquePaymentSessionIDstring Ja
$.oneOf[0].allOf[1].Payload.KeyValueList[].createDatestring Ja
$.oneOf[0].allOf[1].Payload.KeyValueList[].lastUpdateDatestring Ja
$.oneOf[0].allOf[1].Payload.KeyValueList[].expiryDatestring Ja
$.oneOf[0].allOf[1].Payload.KeyValueList[].sessionStatusstring ["active","expired"] Ja
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentTypestring Ja
$.oneOf[0].allOf[1].Payload.KeyValueList[].remainingSessionLifetimeInSecondsDatabaseInteger JaInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].remainingSessionLifetimeInSeconds.oneOf[0]integer Ja
$.oneOf[0].allOf[1].Payload.KeyValueList[].remainingSessionLifetimeInSeconds.oneOf[1]string Ja
$.oneOf[0].allOf[1].Payload.KeyValueList[].userAliasstring Ja
$.oneOf[0].allOf[1].Payload.KeyValueList[].transactionReferenceIDstring Ja
$.oneOf[0].allOf[1].Payload.KeyValueList[].transactionDescriptionstring Ja
$.oneOf[0].allOf[1].Payload.KeyValueList[].grossAmountDatabaseInteger JaInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].grossAmount.oneOf[0]integer Ja
$.oneOf[0].allOf[1].Payload.KeyValueList[].grossAmount.oneOf[1]string Ja
$.oneOf[0].allOf[1].Payload.KeyValueList[].discountedAmountDatabaseInteger JaInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].discountedAmount.oneOf[0]integer Ja
$.oneOf[0].allOf[1].Payload.KeyValueList[].discountedAmount.oneOf[1]string Ja
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails Ja
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0]object Ja
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].DestinationAccountstring Nein
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*PaymentConfigurationValue Nein
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[0]string | number | boolean | null Nein
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[1]array Nein
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[1][]PaymentConfigurationValue Nein
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[2]object Nein
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[2].*PaymentConfigurationValue Nein
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1]array Ja
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][]PaymentConfigurationValue Nein
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[0]string | number | boolean | null Nein
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[1]array Nein
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[1][]PaymentConfigurationValue Nein
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[2]object Nein
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[2].*PaymentConfigurationValue Nein
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[2]string | number | boolean | null Ja
$.oneOf[0].allOf[1].Payload.KeyValueList[].fundingStatusstring ["not_funded","funded"] Ja
$.oneOf[0].allOf[1].Payload.KeyValueFieldListarray Ja
$.oneOf[0].allOf[1].Payload.KeyValueFieldList[]string Nein
$.oneOf[1]object Ja
$.oneOf[1].RequestUserAliasstring Ja
$.oneOf[1].RequestPathstring | null Ja
$.oneOf[1].RequestStatus = "Failed" Ja
$.oneOf[1].ResponseCodeinteger Ja
$.oneOf[1].ResponseMessageAPIResponseMessage Ja
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null Ja
$.oneOf[1].ResponseMessage.oneOf[1]array Ja
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage Nein
$.oneOf[1].ResponseMessage.oneOf[2]object Ja
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage Nein
$.oneOf[1].RequestImpersonatedByUserAliasstring Nein
Antwortbeispiel
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/account/set_start_incoming_payment_session",
    "RequestUserAlias": "example-user",
    "Payload": {
        "Name": "synthetic-example",
        "MetaInformation": [],
        "KeyValueList": [],
        "KeyValueFieldList": []
    }
}
Maschinenlesbare Endpunktdokumentation